Subject: Re: [PATCH v3 02/10] submodule status: use submodule--helper is-active

From: Junio C Hamano <[email-masked]>
Date: Tue, 14 Mar 2017 13:20:24 -0700

Stefan Beller <[email-masked]> writes:

> There we take the path as name and if a real name exists, the name
> is overwritten with the real name, i.e.
>
>     name = name_for_path(path) ? name_for_path(path) : path;
>
> which IMHO is overly accepting and we should just die in case of
> !name_for_path.

Yes, I agree that falling back (unless path is a submodule yet to be
added to .gitmodules) is bad.